CREATE TABLE fos_profit_center_bu_header (
    PC_RELATIONSHIP_ID               NUMBER(18, 0),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    PROFIT_CENTER_BU_ID              NUMBER(18, 0)    NOT NULL,
    LEGAL_ENTITY_ID                  NUMBER(18, 0)    NOT NULL,
    SUPPLIER_IDENTIFICATION_ID       NUMBER(18, 0),
    CUSTOMER_IDENTIFICATION_ID       NUMBER(18, 0),
    SHIP_TO_PARTY_SITE_ID            NUMBER(18, 0),
    SHIP_TO_LOCATION_ID              NUMBER(18, 0),
    DEFAULT_TRADE_ORGANIZATION_ID    NUMBER(18, 0),
    ENTERPRISE_ID                    NUMBER(18, 0)    NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    ATTRIBUTE_CATEGORY               VARCHAR2(600),
    ATTRIBUTE_CHAR1                  VARCHAR2(600),
    ATTRIBUTE_CHAR2                  VARCHAR2(600),
    ATTRIBUTE_CHAR3                  VARCHAR2(600),
    ATTRIBUTE_CHAR4                  VARCHAR2(600),
    ATTRIBUTE_CHAR5                  VARCHAR2(600),
    ATTRIBUTE_CHAR6                  VARCHAR2(600),
    ATTRIBUTE_CHAR7                  VARCHAR2(600),
    ATTRIBUTE_CHAR8                  VARCHAR2(600),
    ATTRIBUTE_CHAR9                  VARCHAR2(600),
    ATTRIBUTE_CHAR10                 VARCHAR2(600),
    ATTRIBUTE_CHAR11                 VARCHAR2(600),
    ATTRIBUTE_CHAR12                 VARCHAR2(600),
    ATTRIBUTE_CHAR13                 VARCHAR2(600),
    ATTRIBUTE_CHAR14                 VARCHAR2(600),
    ATTRIBUTE_CHAR15                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_TIMESTAMP1             TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP2             TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP3             TIMESTAMP(6) ,
    PC_RELATIONSHIP_ID               NUMBER(18, 0),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    PROFIT_CENTER_BU_ID              NUMBER(18, 0)    NOT NULL,
    LEGAL_ENTITY_ID                  NUMBER(18, 0)    NOT NULL,
    SUPPLIER_IDENTIFICATION_ID       NUMBER(18, 0),
    CUSTOMER_IDENTIFICATION_ID       NUMBER(18, 0),
    SHIP_TO_PARTY_SITE_ID            NUMBER(18, 0),
    SHIP_TO_LOCATION_ID              NUMBER(18, 0),
    DEFAULT_TRADE_ORGANIZATION_ID    NUMBER(18, 0),
    ENTERPRISE_ID                    NUMBER(18, 0)    NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    ATTRIBUTE_CATEGORY               VARCHAR2(600),
    ATTRIBUTE_CHAR1                  VARCHAR2(600),
    ATTRIBUTE_CHAR2                  VARCHAR2(600),
    ATTRIBUTE_CHAR3                  VARCHAR2(600),
    ATTRIBUTE_CHAR4                  VARCHAR2(600),
    ATTRIBUTE_CHAR5                  VARCHAR2(600),
    ATTRIBUTE_CHAR6                  VARCHAR2(600),
    ATTRIBUTE_CHAR7                  VARCHAR2(600),
    ATTRIBUTE_CHAR8                  VARCHAR2(600),
    ATTRIBUTE_CHAR9                  VARCHAR2(600),
    ATTRIBUTE_CHAR10                 VARCHAR2(600),
    ATTRIBUTE_CHAR11                 VARCHAR2(600),
    ATTRIBUTE_CHAR12                 VARCHAR2(600),
    ATTRIBUTE_CHAR13                 VARCHAR2(600),
    ATTRIBUTE_CHAR14                 VARCHAR2(600),
    ATTRIBUTE_CHAR15                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_TIMESTAMP1             TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP2             TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP3             TIMESTAMP(6) ,
    CONSTRAINT pk_fos_profit_center_bu_header PRIMARY KEY (PC_RELATIONSHIP_ID, PC_RELATIONSHIP_ID)
);
